// ratnum2.h
// 02/14/2002, Faan Tone Liu
// Member functions are implemented in ratnum.cpp

#ifndef RATNUM_H
#define RATNUM_H

class Ratnum {
public:
	Ratnum(int=0, int=1);  // constructor - give numerator and denominator
	unsigned int get_denominator() const;
	int get_numerator() const;
	void set_ratnum(int, int);
	void display() const;
	double convert_to_double() const;
private:
	unsigned int denominator;  // Not 0
	int numerator;
	int gcd(int, int);
};

#endif
